# Class DSSR1

java.lang.Object
org.jmol.dssx.AnnotationParser
org.jmol.dssx.DSSR1

All Implemented Interfaces:
  `JmolAnnotationParser`

public class DSSR1 extends AnnotationParser
A parser for output from 3DNA web service. load =1d66/dssr also other annotations now, load *1cbs/dom calls EBI for the mmCIF file and also retrieves the domains mapping JSON report. load *1cbs/val calls EBI for the mmCIF file and also retrieves the validation outliers JSON report. Bob Hanson July 2014

Author:
  Bob Hanson hansonr@stolaf.edu

## Constructor Summary

Constructors
Constructor
Description
`DSSR1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`calculateDSSRStructure(Viewer vwr, BS bsAtoms)`
`String`
`fixDSSRJSONMap(Map<String,Object> map)`
kissingLoops and coaxStacks use index arrays instead of duplication;
`BS`
`getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)`
////////////////// general post-load processing ////////////////
`void`
`getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)`
`void`
`getBasePairs(Viewer vwr, int modelIndex)`
`P3[]`
`getDSSRFrame(Map<String,Object> nt)`
`String`
`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`void`
`setGroup1(ModelSet ms, int modelIndex)`

### Methods inherited from class AnnotationParser

`catalogStructureUnits, catalogValidations, fixAtoms, getAnnotationInfo, getAtomValidation, getAttachedAtomForPDBH, initializeAnnotation`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DSSR1

public DSSR1()

## Method Details

### calculateDSSRStructure

public String calculateDSSRStructure(Viewer vwr, BS bsAtoms)

Specified by:
  `calculateDSSRStructure` in interface `JmolAnnotationParser`
Overrides:
  `calculateDSSRStructure` in class `AnnotationParser`

### fixDSSRJSONMap

public String fixDSSRJSONMap(Map<String,Object> map)
kissingLoops and coaxStacks use index arrays instead of duplication;

Specified by:
  `fixDSSRJSONMap` in interface `JmolAnnotationParser`
Overrides:
  `fixDSSRJSONMap` in class `AnnotationParser`
Parameters:
  `map` -
Returns:
  msg

### getBasePairs

public void getBasePairs(Viewer vwr, int modelIndex)

Specified by:
  `getBasePairs` in interface `JmolAnnotationParser`
Overrides:
  `getBasePairs` in class `AnnotationParser`

### getAtomBits

public BS getAtomBits(Viewer vwr, String key, Object dbObj, Map<String,Object> annotationCache, int type, int modelIndex, BS bsModel)
Description copied from class: `AnnotationParser`
////////////////// general post-load processing ////////////////

Specified by:
  `getAtomBits` in interface `JmolAnnotationParser`
Overrides:
  `getAtomBits` in class `AnnotationParser`

### getHBonds

public String getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)

Specified by:
  `getHBonds` in interface `JmolAnnotationParser`
Overrides:
  `getHBonds` in class `AnnotationParser`

### setGroup1

public void setGroup1(ModelSet ms, int modelIndex)

Specified by:
  `setGroup1` in interface `JmolAnnotationParser`
Overrides:
  `setGroup1` in class `AnnotationParser`

### getAtomicDSSRData

public void getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)

Specified by:
  `getAtomicDSSRData` in interface `JmolAnnotationParser`
Overrides:
  `getAtomicDSSRData` in class `AnnotationParser`

### getDSSRFrame

public P3[] getDSSRFrame(Map<String,Object> nt)

Specified by:
  `getDSSRFrame` in interface `JmolAnnotationParser`
Overrides:
  `getDSSRFrame` in class `AnnotationParser`